@echo off&Title you-get视频下载工具 - 更多功能
::设定you-get的位置
:VDstart
echo.&echo.
echo -------------------------------------
echo.
echo.
echo.&echo. you-get视频下载工具 - 更多功能
echo.&echo.
echo 	输入 0 可返回主菜单
echo.&echo.
set /p URL=请输入视频网址或拖入txt并回车:

::如果URL为0就返回主菜单
if %URL% NEQ 0 goto MediaDownMenu
if %URL% EQU 0 call "AYY-VideoDown.BAT"

:MediaDownMenu
echo.&echo.
echo you-get 下载方式
echo -------------------------------------
echo.&echo.
echo.（注：如果你是拖入的txt请选择3）
echo 1. 想要自己选择清晰度和格式
echo.&echo.
echo 2. 读取txt批量下载
echo.&echo.
set /p choose=请选择相应的处理方式：
set OP=-o "%CD%\Download\you-get-down"  -j 9

if "%choose%"=="1" Goto ChooseQuality
if "%choose%"=="2" Goto MultipleDown


:ChooseQuality
you-get -i %URL%
Set /p CQ=指定视频的itag代号以选择质量并按回车：
you-get %OP% --itag=%CQ% %URL% &Goto VDstart

:MultipleDown
for /f %%a in (%URL%) do you-get %OP% %%a
cmd \k